import ir.huri.jcal.JalaliCalendar;

import java.util.Objects;

public class Vote {
    private Person person;
    private JalaliCalendar date;

    public Vote(Person person, JalaliCalendar date) {
        this.date = date;
        this.person = person;
    }

    public Person getPerson() {
        return person;
    }

    public JalaliCalendar getDate() {
        return date;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        Vote vote = (Vote) o;
        return getPerson().equals(vote.getPerson()) && getDate().equals(vote.getDate());
    }

    @Override
    public int hashCode() {
        return Objects.hash(getPerson(), getDate());
    }
}
